---
deprecated: true
search:
  tags:
    - Files
    - GET
seo:
  description: >-
    Retrieves a paginated list of all files for an application,… Reference for
    the GET /api/v1/{team_slug}/{app_slug}/files endpoint in the Management API.
sidebar:
  label: List Files
  badge: GET
title: List Files
type: openapi-operation
---
Retrieves a paginated list of all files for an application, including translations, attributes, and CDN URLs. Supports sorting by title, type, created_at, or updated_at in ascending or descending order.
Deprecated: use GET /api/v2/&#123;team_slug&#125;/&#123;app_slug&#125;/dam/files instead.

`GET /api/v1/{team_slug}/{app_slug}/files`

**Deprecated.**

**Responses**

- `200` — Files retrieved successfully
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "attributes": [
        {
          "created_at": "string",
          "description": "string",
          "filterable": true,
          "id": "string",
          "key": "string",
          "name": "string",
          "template_key": "string",
          "template_name": "string",
          "translatable": true,
          "translations": {
            "description": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ],
            "name": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "updated_at": "string",
          "values": {
            "property1": {
              "field_id": "string",
              "id": "string",
              "image_id": "string",
              "image_object": {
                "alt": "string",
                "app_id": "string",
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "url": "string"
              },
              "translations": {
                "value": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "type": "string",
              "value": "string"
            },
            "property2": {
              "field_id": "string",
              "id": "string",
              "image_id": "string",
              "image_object": {
                "alt": "string",
                "app_id": "string",
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "url": "string"
              },
              "translations": {
                "value": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "type": "string",
              "value": "string"
            }
          }
        }
      ],
      "created_at": "string",
      "folder_id": "string",
      "id": "string",
      "public": true,
      "title": "string",
      "translations": {
        "title": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "type": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "type": "string",
      "updated_at": "string",
      "url": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
